%define	module_name	URI
%define	enable_tests	0

%define	__find_provides	%{_libdir}/rpm/find-provides.perl
%define	__find_requires	%{_libdir}/rpm/find-requires.perl

Summary:	A URI class implementation for Perl.
Name:		perl-%{module_name}
Group:		Utilities/CPAN
License:	distributable
Version:	1.35
Release:	3
Source0:        %{module_name}-%{version}.tar.gz
Patch0:		perl-URI-1.35-kill-isbn-gd-1.diff
Requires:       perl >= 5.8.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/

%description
This package contains the URI.pm module with friends.  The module
implements the URI class.  Objects of this class represent Uniform
Resource Identifier references as specified in RFC 2396 and updated by
RFC 2732.

%files -f %{module_name}-%{version}-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{module_name}-%{version}
%patch0 -p1

%build
  export OPTIMIZE="$RPM_OPT_FLAGS"
  export CFLAGS="$RPM_OPT_FLAGS"
  perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLDIRS=vendor
  make

  %if %{enable_tests}
    make test || :
  %endif

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install

  [ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

  # Kill unused files.
  find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

  # Build filelist.
  find $RPM_BUILD_ROOT/%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{module_name}-%{version}-filelist

  # Sanity check.
  if [ "$(cat %{module_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 02 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.35, Release 3
  - Kill off Business::ISBN.

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.35, Release 2
  - Don't look for brp-compress in %{_libdir} as it doesn't
    work on 64bit systems.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.35, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
